Bug 802301 - [abrt] evolution-data-server-3.2.3-2.fc16: _quicksort: Process /usr/libexec/e-calendar-factory was killed by signal 6 (SIGABRT)
[abrt] evolution-data-server-3.2.3-2.fc16: _quicksort: Process /usr/libexec/e...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:b3e15b203560f25e83efed2b886...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 05:42 EDT by Douglas Furlong
Modified: 2012-03-13 14:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 03:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (14.31 KB, text/plain)
2012-03-12 05:42 EDT, Douglas Furlong
no flags Details
File: build_ids (6.81 KB, text/plain)
2012-03-12 05:42 EDT, Douglas Furlong
no flags Details
File: smolt_data (9.10 KB, text/plain)
2012-03-12 05:42 EDT, Douglas Furlong
no flags Details
File: maps (73.32 KB, text/plain)
2012-03-12 05:42 EDT, Douglas Furlong
no flags Details
File: backtrace (50.44 KB, text/plain)
2012-03-12 05:42 EDT, Douglas Furlong
no flags Details

  None (edit)
Description Douglas Furlong 2012-03-12 05:42:07 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/e-calendar-factory
crash_function: _quicksort
executable:     /usr/libexec/e-calendar-factory
kernel:         3.2.6-3.fc16.x86_64
pid:            27340
pwd:            /
reason:         Process /usr/libexec/e-calendar-factory was killed by signal 6 (SIGABRT)
time:           Mon 27 Feb 2012 23:25:16 GMT
uid:            1000
username:       douglas.furlong
var_log_messages: Feb 27 23:25:22 z600 abrt[28260]: Saved core dump of pid 27340 (/usr/libexec/e-calendar-factory) to /var/spool/abrt/ccpp-2012-02-27-23:25:16-27340 (91234304 bytes)
xsession_errors: 

backtrace:      Text file, 51653 bytes
build_ids:      Text file, 6970 bytes
dso_list:       Text file, 14649 bytes
maps:           Text file, 75076 bytes
smolt_data:     Text file, 9315 bytes

environ:
:SHELL=/bin/bash
:UID=1000
:XDG_SESSION_COOKIE=d270dfbb9c2432017d794b9a00000009-1329684086.167314-1840585180
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-rWH1xXBDwq,guid=09e9a2aad0817ab7a7c0b03a00031c2e
:XDG_RUNTIME_DIR=/run/user/douglas.furlong
:DISPLAY=:10.0
:LC_MEASUREMENT=en_GB.utf8
:SSH_AUTH_SOCK=/tmp/keyring-o48PqN/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/27142,unix/unix:/tmp/.ICE-unix/27142
:LC_MONETARY=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_TIME=en_GB.utf8
:PATH=/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_SESSION_ID=c1
:GPG_AGENT_INFO=/tmp/keyring-o48PqN/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rWH1xXBDwq,guid=09e9a2aad0817ab7a7c0b03a00031c2e
:USER=douglas.furlong
:DBUS_STARTER_BUS_TYPE=session
:PWD=/home/douglas.furlong
:SHLVL=1
:GNOME_KEYRING_CONTROL=/tmp/keyring-o48PqN
:LANG=en_GB.utf8
:HOME=/home/douglas.furlong
:_=/usr/bin/dbus-launch
Comment 1 Douglas Furlong 2012-03-12 05:42:11 EDT
Created attachment 569318 [details]
File: dso_list
Comment 2 Douglas Furlong 2012-03-12 05:42:13 EDT
Created attachment 569319 [details]
File: build_ids
Comment 3 Douglas Furlong 2012-03-12 05:42:15 EDT
Created attachment 569320 [details]
File: smolt_data
Comment 4 Douglas Furlong 2012-03-12 05:42:17 EDT
Created attachment 569321 [details]
File: maps
Comment 5 Douglas Furlong 2012-03-12 05:42:20 EDT
Created attachment 569322 [details]
File: backtrace
Comment 6 Milan Crha 2012-03-13 03:26:11 EDT
Thanks for a bug report. I suppose you are using an evolution-mapi calendar, but that's the most I see from the backtrace, because it's missing all the debug information for at least evolution-data-server and evolution-mapi.

If possible, could you write any steps how to reproduce this, and update the backtrace, please?
Comment 7 Douglas Furlong 2012-03-13 05:09:16 EDT
Good morning Milan Crha

Unfortunately I can't really provide an exact reproduction, these issues happen frequently but as I use the calendar so infrequently (partially due to the utter lack of stability), that I have not been able to keep a record of the individual steps that cause this.

Is there any way to ensure more information gathered the next time this happens?
Comment 8 Milan Crha 2012-03-13 05:53:31 EDT
I see. I do not like these "random" crashes.

(In reply to comment #7)
> Is there any way to ensure more information gathered the next time this
> happens?

I'm afraid not, nothing in general. This may happen after some certain steps, thus try to remember what you did. If it's related to interaction with your calendar, then it can be things like reading meeting invites, accepting them, moving/deleting/editing events in the calendar. The worse is that it can depend also on a previous action (or actions) you did, like for example opening a meeting invitation email, moving to other mail, then back to invitation email and the e-calendar-factory goes down. These steps works fine for me, though.

Note the certain parts of evolution-mapi were changed for its 3.4.0 release, already included in current version (3.3.91) of Fedora 17, and also waiting for OpenChange 1.0 release, then maybe when the final Fedora 17 is out then you'll notice a little difference with your MAPI account.
Comment 9 Douglas Furlong 2012-03-13 06:10:37 EDT
> The worse is that it can depend also on a previous action (or actions) you did,

Oh don't I just know it, that's why I've pretty much given up on the calendar.

To be honest in my book it simply doesn't work, there are too many variables that result in a failure, hence I've given up even trying to track them down.

killall -9 evolution;evolution is a not so uncommon command on my desktop I'm afraid.

I look forward to Fedora 17, if nothing else I hope it will be easier to track down issues.
Comment 10 Milan Crha 2012-03-13 14:55:27 EDT
(In reply to comment #9)
> I look forward to Fedora 17, if nothing else I hope it will be easier to track
> down issues.

I agree, it'll be more current code, easier for chasing and fixing.

Note You need to log in before you can comment on or make changes to this bug.